<template>
  <div v-if="product">
    <q-input
      v-model="product.name_product"
      standout="bg-green text-white"
      @input="inputProduct"
      label="Nama Jasa"
    />
    <q-input
      v-model="product.desc_product"
      @input="inputProduct"
      style="margin-top: 30px"
      standout="bg-green text-white"
      label="Deskripsi Jasa"
      type="textarea"
    />
    <q-checkbox
      v-model="product.price_prone_flag"
      label="Gunakan Rentang Harga"
      @input="inputProduct"
    />
    <div v-if="product.price_prone_flag" class="mb-10">
      <div class="row" style="margin-bottom: 15px">
        <div class="col-6">
          <q-input
            type="number"
            v-model="product.starting_price"
            style="padding-right: 5px"
            class="col-6"
            standout="bg-green text-white"
            label="Dari Harga"
            @input="inputProduct"
          />
        </div>
        <div class="col-6">
          <q-input
            type="number"
            v-model="product.final_price"
            style="padding-right: 5px"
            class="col-6"
            standout="bg-green text-white"
            label="Sampai Harga"
            @input="inputProduct"
          />
        </div>
      </div>
    </div>
    <div v-if="!product.price_prone_flag">
      <q-input
        v-model="product.price"
        style="padding-right: 5px" c
        lass="col-6"
        standout="bg-green text-white"
        label="Harga Jasa"
        hint="Masukan harga jasa dalam mata uang rupiah"
        :value="product.price"
        @input="inputProduct"
      />
    </div>
    <q-select
      :options="optionUnitPrice"
      emit-value
      map-options
      v-model="product.id_unit_price"
      class="col-6"
      standout="bg-green text-white"
      label="Pilih Satuan"
    />
  </div>
</template>

<script>
import { CurrencyDirective } from"vue-currency-input";
export default {
  name: 'FormProductJasa',
  directives: {
    currency: CurrencyDirective
  },
  data () {
    return {
      product: null,
      optionUnitPrice: [
        {
          label: "IDR",
          value: "1"
        },
        {
          label: "USD",
          value: "2"
        }
      ]
    }
  },
  mounted() {
    this.product = this.$attrs.product
    if (this.$attrs.product.price_prone_flag == 0) {
      this.product.price_prone_flag = false
    }
    if (this.$attrs.product.price_prone_flag == 1) {
      this.product.price_prone_flag = true
    }
  },
  computed: {
    option() {
      return {
        locale: undefined,
        currency: "IDR"
      };
    }
  },
  methods: {
    formatPrice(value) {
      let val = this.form.price.replace('.', '')
      this.form.price = val.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ".")
    },
    inputProduct() {
      this.$emit("inputProduct", this.product)
    }
  }
}
</script>
